<?php
include_once "library/inc.sesadmin.php";
include_once "library/inc.library.php";
include_once "library/inc.connection.php";

# KETIKA DIKLIK DELETE
if(isset($_GET['Act']))
	{
		if(trim($_GET['Act'])=="Delete")
		{
			# Hapus Tmp jika datanya sudah dipindah
			mysql_query("DELETE FROM tmp_transaksi WHERE id='".$_GET['ID']."' AND userid='".$_SESSION['SES_LOGIN']."'", $koneksidb) 
				or die ("Gagal kosongkan tmp".mysql_error());
		}
		
	}

# KETIKA DIKLIK PILIH
if(isset($_POST['btnPilih']))
	{
		# PERIKSA VARIABLE
		$txtNis		= $_POST['txtNis'];
		$txtKode	= $_POST['txtKode'];
		$txtKelas	= $_POST['txtKelas'];
		$txtBanyak	= $_POST['txtBanyak'];
		$rbAktif	= $_POST['rbAktif'];
		
		# SAMPAIKAN PESAN ERROR
		$pesanError = array();
			if(trim($_POST['txtNis'])=="") 
				{
					$pesanError[] = "Data <b>NIS</b> tidak boleh kosong, harus diisi !";		
				}	
			if(trim($_POST['txtKode'])=="") 
				{
					$pesanError[] = "Data <b>Kode Bayar</b> tidak boleh kosong, harus diisi !";		
				}
			if(trim($_POST['txtBanyak'])=="") 
				{
					$pesanError[] = "Data <b>Jumlah Uang</b> tidak boleh kosong, harus diisi !";		
				}
			if(trim($_POST['txtKelas'])=="") 
				{
					$pesanError[] = "Data <b>Kelas</b> tidak boleh kosong, harus diisi !";		
				}	
			$SqlNIS ="SELECT nis FROM siswa WHERE nis='$txtNis'";
			$QryNIS = mysql_query($SqlNIS, $koneksidb) or die ("Gagal Query Tmp".mysql_error());
			$RowNIS = mysql_fetch_array($QryNIS);
			$QtyNIS = mysql_num_rows($QryNIS);
			if ($QtyNIS==0)			
				{
					$pesanError[] = "Tidak ada Siswa dengan NIS <b>$txtNis'</b>, silahkan ulangi !";		
				}
				
			
		# JIKA ADA PESAN ERROR MAKA TAMPILKAN ERROR
		if (count($pesanError)>=1 )
			{
				echo "<div class='mssgBox'>";
				echo "<img src='images/attention.png'> <br><hr>";
				$noPesan=0;
				foreach ($pesanError as $indeks=>$pesan_tampil) 
				{ 
					$noPesan++;
					echo "&nbsp;&nbsp; $noPesan. $pesan_tampil<br>";	
				} 
				echo "</div> <br>"; 
			}
		else
				
		{
			# MASUKKAN DATA KE SQL			
			$mySql	= "INSERT INTO tmp_transaksi ( nis, kode_bayar, banyak, kelas, status_bayaran, userid) 
					   VALUES ( '$txtNis', '$txtKode', '$txtBanyak','$txtKelas', '$rbAktif', '".$_SESSION['SES_LOGIN']."')";
			$myQry	= mysql_query($mySql, $koneksidb) or die ("Gagal query".mysql_error());
					if($myQry)		
					{
						echo "<meta http-equiv='refresh' content='0; url=''>";
					}
					exit;
					
		}
					
				
				
	}
	
	# KETIKA DIKLIK SIMPAN
	if(isset($_POST['btnSave']))
	{
		$message = array();
		if (trim($_POST['cmbTanggal'])=="") 
		{
			$message[] = "Tanggal transaksi belum diisi, pilih pada combo !";		
		}
				
		# Baca variabel
		
		$cmbTanggal =$_POST['cmbTanggal'];
				
		# Jika jumlah error message tidak ada
		if(count($message)==0){			
			$kodeBaru	= buatKode("transaksi", "TR");
			$qrySave=mysql_query("INSERT INTO transaksi SET no_transaksi='$kodeBaru', 
								  tgl_transaksi='".InggrisTgl($_POST['cmbTanggal'])."', 
								  userid='".$_SESSION['SES_LOGIN']."'") 
								  or die ("Gagal query".mysql_error());
			if($qrySave){
				# Ambil semua data barang yang dipilih, berdasarkan kasir yg login
				$tmpSql ="SELECT * FROM tmp_transaksi WHERE userid='".$_SESSION['SES_LOGIN']."'";
				$tmpQry = mysql_query($tmpSql, $koneksidb) or die ("Gagal Query Tmp".mysql_error());
				while ($tmpRow = mysql_fetch_array($tmpQry)) {
					// Masukkan semua barang yang udah diisi ke tabel pembelian detail
					$barangSql = "INSERT INTO transaksi_item SET no_transaksi='$kodeBaru', 
								  nis='$tmpRow[nis]', kode_bayar='$tmpRow[kode_bayar]',  kelas='$tmpRow[kelas]', 
								  banyak='$tmpRow[banyak]', status='$tmpRow[status_bayaran]'";
		  			mysql_query($barangSql, $koneksidb) or die ("Gagal Query Simpan detail barang".mysql_error());

					
				}
				# Kosongkan Tmp jika datanya sudah dipindah
				mysql_query("DELETE FROM tmp_transaksi WHERE userid='".$_SESSION['SES_LOGIN']."'", $koneksidb) 
						or die ("Gagal kosongkan tmp".mysql_error());
				
				// Refresh form
				echo "<meta http-equiv='refresh' content='0; url=nota_cetak_kecil.php?noNota=$kodeBaru'>";
			}
			else{
				$message[] = "Gagal penyimpanan ke database";
			}
			

		}	
	} 
	
$nomorTransaksi = buatKode("transaksi", "TR");	
$tglTransaksi 	= isset($_POST['cmbTanggal']) ? $_POST['cmbTanggal'] : date('d-m-Y');

?> 






<table>
	<form    action="?page=Transaksi-Pembayaran" method="post" > 	
		<tr>
	  <td colspan="3" align="CENTER"><h3>TRANSAKSI PEMBAYARAN SPMP & DSP</h3> </td>
	</tr>
		<tr>
	  <td><b>No Transaksi </b></td>
	  <td><b>:</b></td>
	  <td><input name="txtNomor" value="<?php echo $nomorTransaksi; ?>" size="9" maxlength="9" /></td>
	</tr>
	<tr>
	  <td><b>Tanggal Transaksi </b></td>
	  <td><b>:</b></td>
	  <td><?php echo form_tanggal("cmbTanggal",$tglTransaksi); ?></td>
	</tr>
	<tr>
	  <td ><b>Nis </b></td>
	  <td ><b>:</b></td>
	  <td ><input name="txtNis"  size="15" /></td>
	</tr>
	<tr>
      <td><b>Kode Bayar</b></td>
	  <td><b>:</b></td>
	  <td><input name="txtKode" value="" size="15" /></td>
    </tr>
	<tr>
      <td><b>Banyak</b></td>
	  <td><b>:</b></td>
	  <td><input name="txtBanyak" value="" size="15" /></td>
    </tr>
	 <tr>
      <td><b>Kelas </b></td>
      <td><b>:</b></td>
      <td>
	  <select id="txtKelas" type="list" name="txtKelas">
		
			<option >X</option>
			<option >XI</option>
			<option >XII</option>
	
		</select>
	  </td>
    </tr>
	<tr>
      <td><b>Status Bayaran </b></td>
      <td><b>:</b></td>
      <td><input name="rbAktif" type="radio" value="Anggaran" checked="checked" />
        Anggaran
          <input name="rbAktif" type="radio" value="Tunggakan" />
      Tunggakan </td>
    </tr>
	<tr>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td> <input type=submit name="btnPilih" value="pilih"> </td>
    </tr>
	
</table>
			

<table class="table-list" width="800" border="0" cellspacing="1" cellpadding="2">
	<tr>
	<td colspan="8"> <b>DAFTAR PEMBAYARAN</b></td>
	
	</tr>
	<tr>
		<td width="10" align="center" bgcolor="#CCCCCC">NO</td>
		<td width="80" align="center" bgcolor="#CCCCCC">NIS</td>
		<td width="200" align="center" bgcolor="#CCCCCC">NAMA SISWA</td>
		<td width="50" align="center" bgcolor="#CCCCCC">KELAS</td>
		<td width="140" align="center" bgcolor="#CCCCCC">URAIAN</td>
		<td width="60" align="center" bgcolor="#CCCCCC">JUMLAH</td>
		<td width="70" align="center" bgcolor="#CCCCCC">STATUS</td>
		<td width="50" align="center" bgcolor="#CCCCCC">HAPUS</td>  
	</tr>
	<?php
		# Menampilkan List Item barang yang dibeli untuk Nomor Transaksi Terpilih
		$listBarangSql = "SELECT siswa.nama_siswa, bulan.keterangan, tmp_transaksi.*	FROM tmp_transaksi, siswa, bulan WHERE tmp_transaksi.nis=siswa.nis AND tmp_transaksi.kode_bayar=bulan.kode ";
		$listBarangQry = mysql_query($listBarangSql, $koneksidb)  or die ("Query list barang salah : ".mysql_error());
		$nomor  = 0; $totalBayar = 0;
		while ($listBarangRow = mysql_fetch_array($listBarangQry)) 
		{
			$ID			= $listBarangRow['id'];
			$totalBayar = $totalBayar + intval($listBarangRow['banyak']);
			
			$nomor++;			
	?>
	<tr>
		<td align="center"><?php echo $nomor; ?></td>
		<td align="center"><?php echo $listBarangRow['nis']; ?></td>
		<td align="left"><?php echo $listBarangRow['nama_siswa']; ?></td>
		<td align="center"><?php echo $listBarangRow['kelas']; ?></td>
		<td align="left" ><?php echo $listBarangRow['keterangan']; ?></td>
		<td align="right" ><?php echo format_angka ($listBarangRow['banyak']); ?></td>
		<td align="center"><?php echo $listBarangRow['status_bayaran']; ?></td>
		<td align="center" bgcolor="#FFFFCC"><a href="?page=Transaksi-Pembayaran&Act=Delete&ID=<?php echo $ID; ?>" target="_self"><img src="images/hapus.gif" width="16" height="16" border="0" /></a></td>
	</tr>
	<?php } ?>
	<tr>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
		<td  align="right" bgcolor="#CCCCCC"><b>Total Bayar : </b></td>
		<td align="right" bgcolor="#CCCCCC" ><b><?php echo format_angka($totalBayar); ?></b></td>
		<td align="center" colspan="2"> <input type=submit name="btnSave" value="         SIMPAN         "> </td>
	</tr>
	</form>
</table>
